diff -r f8ab3683a4fb SPECS/kernel-2.6.spec
--- a/SPECS/kernel-2.6.spec	Wed May 24 22:19:50 2006 -0400
+++ b/SPECS/kernel-2.6.spec	Sun May 28 23:31:13 2006 +0900
@@ -3,7 +3,7 @@ Summary: The Linux kernel (the core of t
 # What parts do we want to build?  We must build at least one kernel.
 # These are the kernels that are built IF the architecture allows it.
 
-%define buildup 1
+%define buildup 0
 %define buildsmp 0
 %define buildpae 0
 # Whether to apply the Xen patches, leave this enabled.
@@ -12,7 +12,7 @@ Summary: The Linux kernel (the core of t
 %define buildxen 1
 %define buildxenPAE 0
 %define builddoc 0
-%define buildkdump 1
+%define buildkdump 0
 %define buildheaders 0
 
 # Versions of various parts
@@ -1146,12 +1146,16 @@ BuildKernel() {
     mkdir -p $RPM_BUILD_ROOT/%{image_install_path}
     install -m 644 .config $RPM_BUILD_ROOT/boot/config-$KernelVer
     install -m 644 System.map $RPM_BUILD_ROOT/boot/System.map-$KernelVer
-    cp $KernelImage $RPM_BUILD_ROOT/%{image_install_path}/vmlinuz-$KernelVer
+    if [ x"$Flavour" == x"xenU" ]; then
+        cp $KernelImage $RPM_BUILD_ROOT/boot/vmlinuz-$KernelVer
+    else
+        cp $KernelImage $RPM_BUILD_ROOT/%{image_install_path}/vmlinuz-$KernelVer
+    fi
     if [ -f arch/$Arch/boot/zImage.stub ]; then
       cp arch/$Arch/boot/zImage.stub $RPM_BUILD_ROOT/%{image_install_path}/zImage.stub-$KernelVer || :
     fi
 
-    if [ "$Flavour" == "kdump" ]; then
+    if [ x"$Flavour" == x"kdump" ]; then
         cp vmlinux $RPM_BUILD_ROOT/%{image_install_path}/vmlinux-$KernelVer
         rm -f $RPM_BUILD_ROOT/%{image_install_path}/vmlinuz-$KernelVer
     fi
